Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::views::cpp20_common_fn Struct Reference

## Public Member Functions
template<typename Rng >
all_t< Rng > | operator() (Rng &&rng) const
template<typename Rng >
common_view< all_t< Rng > > | operator() (Rng &&rng) const

## Member Function Documentation

## ◆ operator()() [1/2]

template<typename Rng >

all_t<Rng> ranges::views::cpp20_common_fn::operator() | ( | Rng && | rng | ) | const

Precondition
  requires `viewable_range<Rng> && common_range<Rng>`

## ◆ operator()() [2/2]

template<typename Rng >

common_view<all_t<Rng> > ranges::views::cpp20_common_fn::operator() | ( | Rng && | rng | ) | const

Precondition
  requires `viewable_range<Rng> && (!common_range<Rng>)` //